# bukyko_single_fit.R
# Fit a single data point to a chosen budyko curve equation
# inputs: aridity index (PE/P), observed evaporation ratio (AE/P)
# output: fitted omega (w)

budyko_single_fit  <- function(aridity, evapratio) {
  # initiate start value of omega
  omegastart       <- 3
  
  # define the fitting function
  budykosinglefit <- function(omega, evapratio, aridity) {
          result  <- abs(evapratio - budyko_m1(aridity, omega))
          return(result)
  }
  # perform the fit
  fit             <- nlm(budykosinglefit, p = omegastart, evapratio, aridity)  
  # return the omega value
  return(fit$estimate)
}